/**
 * Defines an entry in the app header.
 * Optionally recursive by defining children instead of path.
 */
export type HeaderEntry = {
  displayName: string
} & ({
  path: string
  target?:
    | '_self'
    | '_blank'
    | '_parent'
    | '_top'
    | '_unfencedTop'
} | {
  children: HeaderEntry[]
})
